      Program mxslst
       character*72 line
       character*65 fname
       character*16 huse
       character*8  hname, hprt(10), htype(10), hmatn(10),hmat
       character*8  hvps(250)
       character*4  xrec
       dimension ngrp(10), jinp(10),joutp(10), nsubm(5), locm(5)
       dimension emax(10), emin(10), temp(100), sigz(100)
       dimension itype(100),n1d(100), n2d(100), locs(100)
       read(*,*)fname
       write(*,*)' MXSLST - MATXS formatted file summary report'
       write(*,*)' ============================================'
       write(*,*)
       write(*,'(10x,a13,a65)')'Source file: ',fname
       open(1,file=fname, status='old')
        read(1,'(4x,a8,1x,a16,1x,i6)')hname,huse,iver
        read(1,'(6x,6i6)')npart,ntype,nholl,nmat,maxw,lngth
        read(1,*)
        write(*,'(a, a8)')'           file hname: ',hname
        write(*,'(a,a16)')'             user ID.: ',huse
        write(*,'(a, i8)')'         file version: ',iver
        write(*,'(a, i8)')'  number of particles: ',npart
        write(*,'(a, i8)')' number of data types: ',ntype
        write(*,'(a, i8)')'  number of materials: ',nmat
        write(*,'(a, i8)')'     max. record size: ',maxw
        write(*,'(a, i8)')'       length of file: ',lngth
        write(*,*)
        write(*,*)'Hollerith identification records:'
        nholll=nholl/9
        if (nholll*9 .ne. nholl)nholll=nholll+1
        do i=1,nholll
          read(1,'(a72)')line
          write(*,'(1x,a72)')line
        enddo
        write(*,*)
        read(1,'(8x,8a8/(9a8))')
     &   (hprt(j),j=1,npart),(htype(k),k=1,ntype),(hmatn(i),i=1,nmat)
        read(1,'(12i6)')
     &   (ngrp(j),j=1,npart),(jinp(k),k=1,ntype),(joutp(k),k=1,ntype),
     &   (nsubm(i),i=1,nmat),(locm(i),i=1,nmat)
        do i=1,npart
          ngr=ngrp(i)
          read(1,'(12x,5e12.0/(6e12.0))')emax(i),(e,j=2,ngr),emin(i)
        enddo
        write(*,'(a,(9a8))')
     &   '            particles: ',(adjustr(hprt(j)),j=1,npart)
        write(*,'(a,(9i8))')
     &   '     number of groups: ',(ngrp(j),j=1,npart)
        write(*,'(a,(9f8.1))')
     &   '           Emax [MeV]: ',(emax(j)/1e6,j=1,npart)
        write(*,'(a,(1p9e8.2))')
     &   '           Emin [MeV]: ',(emin(j)/1e6,j=1,npart)
        write(*,'(a,(9a8))')
     &   '           data types: ',(adjustr(htype(j)),j=1,ntype)
        write(*,'(a,(9i8))')
     &   '    incident particle: ',(jinp(j),j=1,ntype)
        write(*,'(a,(9i8))')
     &   '    outgoing particle: ',(joutp(j),j=1,ntype)
        write(*,'(a,(9a8))')
     &   '            materials: ',(adjustr(hmatn(j)),j=1,nmat)
        write(*,'(a,(9i8))')
     &   '         submaterials: ',(nsubm(j),j=1,nmat)
        write(*,'(a,(9i8))')
     &   '    material location: ',(locm(j),j=1,nmat)
        write(*,*)
        do i=1,nmat
          nsub=nsubm(i)
          read(1,'(4x,a8,e12.0/(2e12.0,4i6))')
     &     hmat,amass,(temp(j),sigz(j),itype(j),n1d(j),n2d(j),
     &     locs(j),j=1,nsub)
          write(*,'(1x,a10,a8,a6,1pe12.5)')
     &            'material= ',hmat,' awt= ',amass
          write(*,'(2x,2a12,4a5)')'  Temp. [K] ','Sig0 [barn] ',
     &                         ' typ ', ' n1d ',' n2d ',' loc '
          do j=1,nsub
          write(*,'(1x,f12.1,1pe12.5,4i5)')
     &     temp(j),sigz(j),itype(j),n1d(j),n2d(j),
     &     locs(j)
          enddo
          write(*,*)'--------------------------------------------'
          n1d1=n1d(1)
          read(1,'(8x,8a8/(9a8))')(hvps(k),k=1,n1d1)
          write(*,'(a,a8)')' Reference submaterial vector data for ',
     &                       hmat
          write(*,'(1x,9a8)')(hvps(k),k=1,n1d1)
          write(*,*)
          xrec='    '
          do while (xrec.ne.' 5d ')
            read(1,'(a4)',err=100,end=100)xrec
          enddo
100       if (xrec.eq.' 5d ') backspace(1)
        enddo
       close(1)
      end
