@echo off
rem
rem  njoyone.bat : Run njoy.exe for ADS+ Library
rem
rem  Author: D. L. Aldama, NDS/IAEA Consultant
rem  Date: 06/2008
rem 
rem  Calling procedure: NjoyADS.bat
rem  Called program: njoy.exe
rem
rem  Usage:
rem
rem  njoyone %1 %2
rem
rem  %1:  Material ID according to ADS+ Library
rem      (Examples: H_001, U_235, Fe056, Th232)
rem
rem  %2: Calculation type:
rem        p: PENDF run
rem        m: GROUPR/MATXSR run
rem        a,[b,c,d,e,f,g,h,i,j,q,r,s,t,u,v,w,x,y,z]: ACER run
rem
rem  The NJOY input file is formed as the string %1%2.NJI
rem
if %1.==. goto end
if exist output del output
for /L %%i in (21,1,26) do if exist tape%%i del tape%%i
for /L %%i in (28,1,29) do if exist tape%%i del tape%%i
for /L %%i in (61,1,69) do if exist tape%%i del tape%%i
for /L %%i in (94,1,95) do if exist tape%%i del tape%%i
if not %2.==p. goto njoy
if exist tape27 del tape27
:njoy
%njoyd%njoy<%1%2.NJI
if not %2.==p. goto else1
   for /L %%i in (22,1,26) do if exist tape%%i del tape%%i
   for /L %%i in (61,1,69) do if exist tape%%i del tape%%i
   goto endif
:else1
   for /L %%i in (28,1,29) do if exist tape%%i del tape%%i
   if exist tape95 ren tape95 %1%2.PS
   if exist tape94 del tape94
:endif
if exist output ren output %1%2.OUT 
if exist tape21 del tape21
for /L %%i in (10,1,19) do if exist temp%%i del temp%%i  
:end