      Program update
C
C     Program Update: Final update of *.XSD file for
C                     multi-temperature ACE library
C
C     Author: D. L. Aldama, IAEA Consultant
C     Date: 11/2008
C
C     Description: Update the address field on the XSDIR file
C                  from ACER with a new line number.
C
C     Standard input: keyboard
C     Standard output: screen
C     XSDIR unit: 1
C     ACE unit: 2
C
C     Input parameters: XSDIR filename
C      
      character*7 ptab
      character*9  fxsd,face
      character*10 zaid, yzaid
      read(*,*)fxsd
      open(1,fxsd)
   1  read(1,'(a10,f12.0,4x,a9,i2,i2,i4,i8,i6,i6,e10.0,a7)',end=10)
     &     zaid,awf,face,ii,jj,ilin,ltab,kk,mm,temp,ptab
      if (face(1:1).eq.' ') then
        open (2, face(2:9))
      else  
        open (2,face)
      endif  
       read(2,'(a10)')yzaid
       i=1
       do while (yzaid.ne.zaid)
        read(2,'(a10)')yzaid
        i=i+1
       end do
       close(2)
       ilin=i
      write(*,'(1x,a10,f11.6,1x,a9,i2,i2,i8,i8,i2,i2,1pe10.3,a7)')
     &     zaid,awf,face,ii,jj,ilin,ltab,kk,mm,temp,ptab
      goto 1
   10 close(1)
      stop
      end
        